org.springframework.data.relational.core.query

## Interface CriteriaDefinition

All Known Implementing Classes:
  Criteria

    public interface CriteriaDefinition

Interface defining a criteria definition object. A criteria definition may chain multiple predicates and may also represent a group of nested criteria objects.

Since:
  2.0
Author:
  Mark Paluch, Jens Schauder

### Nested Class Summary

Nested Classes
`static class` `CriteriaDefinition.Combinator`
`static class` `CriteriaDefinition.Comparator`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`static CriteriaDefinition` `empty()` Static factory method to create an empty `CriteriaDefinition`.
`static CriteriaDefinition` `from(CriteriaDefinition... criteria)` Create a new `CriteriaDefinition` and combine it as group with `AND` using the provided `Criterias`.
`static CriteriaDefinition` `from(List<? extends CriteriaDefinition> criteria)` Create a new `CriteriaDefinition` and combine it as group with `AND` using the provided `Criterias`.
`SqlIdentifier` `getColumn()`
`CriteriaDefinition.Combinator` `getCombinator()`
`CriteriaDefinition.Comparator` `getComparator()`
`List<CriteriaDefinition>` `getGroup()`
`CriteriaDefinition` `getPrevious()`
`Object` `getValue()`
`boolean` `hasPrevious()`
`boolean` `isEmpty()`
`boolean` `isGroup()`
`boolean` `isIgnoreCase()` Checks whether comparison should be done in case-insensitive way.

### Method Detail

#### empty

    static CriteriaDefinition empty()

Static factory method to create an empty `CriteriaDefinition`.

Returns:
  an empty `CriteriaDefinition`.

#### from

    static CriteriaDefinition from(CriteriaDefinition... criteria)

Create a new `CriteriaDefinition` and combine it as group with `AND` using the provided `Criterias`.

Returns:
  new `CriteriaDefinition`.

#### from

    static CriteriaDefinition from(List<? extends CriteriaDefinition> criteria)

Create a new `CriteriaDefinition` and combine it as group with `AND` using the provided `Criterias`.

Returns:
  new `CriteriaDefinition`.
Since:
  1.1

#### isGroup

    boolean isGroup()

Returns:
  true if this `Criteria` is empty.

#### getGroup

    List<CriteriaDefinition> getGroup()

#### getColumn

    @Nullable
    SqlIdentifier getColumn()

Returns:
  the column/property name.

#### getComparator

    @Nullable
    CriteriaDefinition.Comparator getComparator()

Returns:
  `Criteria.Comparator`.

#### getValue

    @Nullable
    Object getValue()

Returns:
  the comparison value. Can be null.

#### isIgnoreCase

    boolean isIgnoreCase()

Checks whether comparison should be done in case-insensitive way.

Returns:
  true if comparison should be done in case-insensitive way

#### getPrevious

    @Nullable
    CriteriaDefinition getPrevious()

Returns:
  the previous `CriteriaDefinition` object. Can be null if there is no previous `CriteriaDefinition`.
See Also:
  `hasPrevious()`

#### hasPrevious

    boolean hasPrevious()

Returns:
  true if this `Criteria` has a previous one.

#### isEmpty

    boolean isEmpty()

Returns:
  true if this `Criteria` is empty.

#### getCombinator

    CriteriaDefinition.Combinator getCombinator()

Returns:
  `CriteriaDefinition.Combinator` to combine this criteria with a previous one.